#!/bin/bash
#----------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2012
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-----------------------------------------------------------------------------
# IBM Storage Driver for OpenStack v1.1.1-b327
NEEDED_PYTHON_VERSION="2.7"
#Already got from calling script? 
SCRIPT_BASE="$( cd -P "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
SCRIPT_NAME="$(basename "${BASH_SOURCE[0]}" )"
PYTHON_EXEC=${PYTHON_TO_USE}
if [[ ${PYTHON_EXEC} == "" ]]; then
    PYTHON_EXEC=python
fi
CURRENT_PYTHON="`${PYTHON_EXEC} -c 'from sys import version_info;print(".".join([str(x) for x in version_info[:2]]))'`"
if [[ $? != 0 ]]; then 
    echo "${SCRIPT_NAME} requires python ${NEEDED_PYTHON_VERSION} to be installed in order to run.."
    exit 1
fi
if [[ ${CURRENT_PYTHON} != ${NEEDED_PYTHON_VERSION} ]]; then
    echo "${SCRIPT_NAME} requires python ${NEEDED_PYTHON_VERSION} to be installed in order to run.."
    echo "Python ${CURRENT_PYTHON} is installed."
    echo ""
    echo "To use a different python, set the environment variable PYTHON_TO_USE. E.g:"
    echo ""
    echo "PYTHON_TO_USE=/path/to/bin/python ${SCRIPT_BASE}/${SCRIPT_NAME}"
    exit 1
fi
`${PYTHON_EXEC} -c 'import setuptools'>/dev/null 2>/dev/null`
if [[ $? != 0 ]]; then 
    echo "${SCRIPT_NAME} requires python-setuptools to be installed in order to run.."
    exit 1
fi

${PYTHON_EXEC} ${SCRIPT_BASE}/runtime/runner.py ${SCRIPT_BASE} ${SCRIPT_NAME} $*
